State
{
       StateName = "FirstActions",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar01"},
                        FigureVanish	{Tag = "Dummy_Witch01"},
                        FigureVanish	{Tag = "Dummy_Avatar02"},
                        FigureVanish	{Tag = "Dummy_Avatar03"},
                        FigureVanish	{Tag = "Dummy_Avatar04"},
                        FigureVanish	{Tag = "Dummy_Avatar05"},
                        FigureVanish	{Tag = "Dummy_Avatar06"}, 
                        FigureVanish	{Tag = "Dummy_Einar01"},
                        FigureVanish	{Tag = "Dummy_Einar02"},
                        FigureVanish	{Tag = "Dummy_Einar03"},
                        FigureVanish	{Tag = "Dummy_Einar04"},
                        FigureVanish	{Tag = "Dummy_Io01"},
                        FigureVanish	{Tag = "Dummy_Shaper"},
                        FigureVanish	{Tag = "Dummy_Jandrim01"},
                        FigureVanish	{Tag = "Dummy_BlessedOne01"},
                        FigureVanish	{Tag = "Dummy_BlessedOne02"},
                        FigureVanish	{Tag = "Dummy_BlessedOne03"},
                        FigureVanish	{Tag = "Dummy_BlessedOne04"},
                        FigureVanish	{Tag = "Dummy_BlessedOne06"},
                        FigureVanish	{Tag = "Dummy_BlessedOne07"},
                        FigureVanish	{Tag = "Dummy_BlessedOne08"},
                        FigureNpcSpawn	{Tag = "BlessedOne03", Level = 19, UnitId = 1065, X = 515.546, Y = 611.628, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "BlessedOne04", Level = 19, UnitId = 1065, X = 468.109, Y = 624.709, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "BlessedOne06", Level = 20, UnitId = 1065, X = 243.427, Y = 579.617, Team = "tm_Enemy"},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne06", ItemId = 984},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne06", ItemId = 986},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne06", ItemId = 985},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne06", ItemId = 983},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne06", ItemId = 987},
                        FigureNpcSpawn	{Tag = "BlessedOne07", Level = 20, UnitId = 1331, X = 241.463, Y = 582.405, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "BlessedOne08", Level = 20, UnitId = 1332, X = 245.259, Y = 582.365, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "Sidequest_Shaper", Level = 28, UnitId = 1209, X = 564.025, Y = 548.754, Team = "tm_Enemy"},
                        FigureLootItemEquipmentAdd {Tag = "Sidequest_Shaper", ItemId = 974},
                        FigureLootItemEquipmentAdd {Tag = "Sidequest_Shaper", ItemId = 976},
                        FigureLootItemEquipmentAdd {Tag = "Sidequest_Shaper", ItemId = 975},
                        FigureLootItemEquipmentAdd {Tag = "Sidequest_Shaper", ItemId = 973},
                        FigureLootItemEquipmentAdd {Tag = "Sidequest_Shaper", ItemId = 977},
                        FigureNpcSpawn	{Tag = "BlessedOne01", Level = 20, UnitId = 1331, X = 560.312, Y = 594.142, Team = "tm_Enemy"},
                        FigureNpcSpawn	{Tag = "BlessedOne02", Level = 20, UnitId = 1332, X = 570.804, Y = 594.263, Team = "tm_Enemy"},	
                        FigureLookAtDirection {Tag = "Sidequest_Shaper", Direction = 180}, 
                        FigureLookAtDirection {Tag = "BlessedOne01", Direction = 180}, 
                        FigureLookAtDirection {Tag = "BlessedOne02", Direction = 180},
                        FigureLookAtDirection {Tag = "BlessedOne03", Direction = 270}, 
                        FigureLookAtDirection {Tag = "BlessedOne04", Direction = 270}, 
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Sidequest_Matricus", Range = 500, Height = 100},
                },
        },

        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 629.65, Y = 266.519},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 216.761},
                        CutsceneSay	{TextTag = "Sidequest_Io_01", Tag = "Sidequest_Io", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Einar_01", Tag = "Sidequest_Einar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_02", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},  
                        EffectStart	{Tag = "Sidequest_Witch", File = "effect_misc_spawnspecial_02"},  
                        SoundGlobalPlayOnce	{File = "04_spells/fx_despawn_unit"},                
                        EntityTimerStart {Name = "Witch_Teleport"},                     	
		},			
	},
	
        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Witch_Teleport", Seconds = 1},
		},
		Actions =
		{                                                                                              
                        FigureTeleport {Tag = "Sidequest_Witch", X = 562.738, Y = 552.154},
                        FigureLookAtDirection {Tag = "Sidequest_Witch", Direction = 38.1807}, 
                        EntityTimerStart {Name = "et_CStimer_03"},                     
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_03", Seconds = 8},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_01", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_04"},
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                                            
                        EntityTimerStart {Name = "et_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_05", Seconds = 15},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Mauser_01", Tag = "Sidequest_Mauser", PlayTalkAnim = default},                                            
                        EntityTimerStart {Name = "et_CStimer_06"},
		},	
		GotoState = "Cutscene07",	
        },
};

State
{
	StateName = "Cutscene07",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Witch_01", Tag = "Sidequest_Witch", PlayTalkAnim = default},                                            
                        EntityTimerStart {Name = "et_CStimer_07"},
		},	
		GotoState = "Cutscene08",	
        },
};

State
{
	StateName = "Cutscene08",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_07", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_08", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        FigureAnimPlayOnce    {Tag = "Sidequest_Mauser", File = "base/gfx/figures/hero/figure_hero_male_resolve_enemy.ska"}, 
                        EffectStart	{Tag = "Sidequest_Mauser", File = "effect_death_resolve"},                                                       
                        EffectStart	{Tag = "Sidequest_Witch", File = "effect_death_hit"},
                        FigureKill	{Tag = "Sidequest_Witch"},                                            
                        EntityTimerStart {Name = "et_CStimer_08"},
		},	
		GotoState = "Cutscene09",	
        },
};

State
{
	StateName = "Cutscene09",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_08", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},  
                        FigureVanish	{Tag = "Sidequest_Mauser"},                     	
		},
                GotoState = "CutsceneIo",			
	},	
};


State
{
	StateName = "CutsceneIo",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 20, X = 500.293, Y = 414.048},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 473.087, Y = 485.328},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 142.276},
                        FigureTeleport {Tag = "Sidequest_Io", X = 475.302, Y = 488.181},
                        FigureLookAtDirection {Tag = "Sidequest_Io", Direction = 319.893},
                        FigurePlayerTransfer {Tag = "Sidequest_Io", Player = "pl_Neutral01"},
                        FigureTeamTransfer {Tag = "Sidequest_Io", Team = "tm_Neutral"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer"},
		},	
		GotoState = "Cutscene20",	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 20, X = 476.424, Y = 424.169},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 473.087, Y = 485.328},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 142.276},
                        FigureTeleport {Tag = "Sidequest_Io", X = 475.302, Y = 488.181},
                        FigureLookAtDirection {Tag = "Sidequest_Io", Direction = 319.893},
                        FigurePlayerTransfer {Tag = "Sidequest_Io", Player = "pl_Neutral01"},
                        FigureTeamTransfer {Tag = "Sidequest_Io", Team = "tm_Neutral"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer"},
		},	
		GotoState = "Cutscene20",	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 20, X = 455.932, Y = 413.492},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 473.087, Y = 485.328},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 142.276},
                        FigureTeleport {Tag = "Sidequest_Io", X = 475.302, Y = 488.181},
                        FigureLookAtDirection {Tag = "Sidequest_Io", Direction = 319.893},
                        FigurePlayerTransfer {Tag = "Sidequest_Io", Player = "pl_Neutral01"},
                        FigureTeamTransfer {Tag = "Sidequest_Io", Team = "tm_Neutral"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer"},
		},	
		GotoState = "Cutscene20",	
        },
};

State
{
	StateName = "Cutscene20",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Io_02", Tag = "Sidequest_Io", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_02"},
		},	
		GotoState = "Cutscene21",	
        },
};

State
{
	StateName = "Cutscene21",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_02", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},  
                        AvatarXPGive{Player = "pl_Human01", Amount = 11500},
                        FigureVanish	{Tag = "Sidequest_Io"},
                        FigureNpcSpawn	{Tag = "Io", Level = 1, UnitId = 369, X = 475.302, Y = 488.181, Team = "tm_Neutral"},
                        FigureLookAtDirection {Tag = "Io", Direction = 319.893}, 
                        FigurePlayerTransfer {Tag = "elf01", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "elf02", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "elf03", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "elf04", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "elf05", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "elf06", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "elf07", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "elf08", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "elf09", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "elf10", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "elf11", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "elf12", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "elf13", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "elf14", Player = "pl_Human01"},
                        FigureTeamTransfer {Tag = "elf01", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "elf02", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "elf03", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "elf04", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "elf05", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "elf06", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "elf07", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "elf08", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "elf09", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "elf10", Team = "tm_Human"}, 
                        FigureTeamTransfer {Tag = "elf11", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "elf12", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "elf13", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "elf14", Team = "tm_Human"},                     	
		},
                GotoState = "CutsceneGate",			
	},	
};

State
{
	StateName = "CutsceneGate",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        FigureIsDead {Tag = "GateGuard"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 269.097, Y = 394.621},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 142.276},
                        FigureTeleport {Tag = "Sidequest_Einar", X = 271.132, Y = 397.268},
                        FigureLookAtDirection {Tag = "Sidequest_Einar", Direction = 319.893},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_02", Tag = "pl_Human01Avatar", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et3_CStimer"},
		},	
		GotoState = "Cutscene30",	
        },
};

State
{
	StateName = "Cutscene30",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Einar_02", Tag = "Sidequest_Einar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_02"},
		},	
		GotoState = "Cutscene31",	
        },
};

State
{
	StateName = "Cutscene31",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_02", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{}, 
                        AvatarXPGive{Player = "pl_Human01", Amount = 22500}, 
                        GateSetOpen   {Tag = "Ghost_Gate"},          	
		},
                GotoState = "CutsceneCastle",			
	},	
};

State
{
	StateName = "CutsceneCastle",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 20, X = 206.62, Y = 371.934},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 129.382, Y = 379.368},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 268.327},
                        FigureTeleport {Tag = "Sidequest_Einar", X = 188.431, Y = 370.851},
                        FigureLookAtDirection {Tag = "Sidequest_Einar", Direction = 228.22},
                        FigurePlayerTransfer {Tag = "Sidequest_Einar", Player = "pl_Neutral01"},
                        FigureTeamTransfer {Tag = "Sidequest_Einar", Team = "tm_Neutral"},
			CameraTrackPlay {},          
                        CutsceneSay	{TextTag = "Sidequest_Einar_03", Tag = "Sidequest_Einar", PlayTalkAnim = default},          
                        EntityTimerStart {Name = "et4_CStimer"},
		},	
		GotoState = "Cutscene40",	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 20, X = 205.687, Y = 396.335},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 129.382, Y = 379.368},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 268.327},
                        FigureTeleport {Tag = "Sidequest_Einar", X = 188.431, Y = 370.851},
                        FigureLookAtDirection {Tag = "Sidequest_Einar", Direction = 228.22},
                        FigurePlayerTransfer {Tag = "Sidequest_Einar", Player = "pl_Neutral01"},
                        FigureTeamTransfer {Tag = "Sidequest_Einar", Team = "tm_Neutral"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sidequest_Einar_03", Tag = "Sidequest_Einar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et4_CStimer"},
		},	
		GotoState = "Cutscene40",	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 20, X = 206.217, Y = 414.671},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 129.382, Y = 379.368},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 268.327},
                        FigureTeleport {Tag = "Sidequest_Einar", X = 188.431, Y = 370.851},
                        FigureLookAtDirection {Tag = "Sidequest_Einar", Direction = 228.22},
                        FigurePlayerTransfer {Tag = "Sidequest_Einar", Player = "pl_Neutral01"},
                        FigureTeamTransfer {Tag = "Sidequest_Einar", Team = "tm_Neutral"},
			CameraTrackPlay {},        
                        CutsceneSay	{TextTag = "Sidequest_Einar_03", Tag = "Sidequest_Einar", PlayTalkAnim = default},            
                        EntityTimerStart {Name = "et4_CStimer"},
		},	
		GotoState = "Cutscene40",	
        },	
};

State
{
	StateName = "Cutscene40",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        GateSetOpen   {Tag = "Castle_Gate"},                             
                        EntityTimerStart {Name = "et4_CStimer_02"},
		},	
		GotoState = "Cutscene41",	
        },
};

State
{
	StateName = "Cutscene41",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},      
                        FigureTeleport {Tag = "Sidequest_Einar", X = 128.175, Y = 382.396},
                        FigureLookAtDirection {Tag = "Sidequest_Einar", Direction = 318.93},                  
                        CutsceneSay	{TextTag = "Sidequest_Matricus_01", Tag = "Sidequest_Matricus", PlayTalkAnim = default},                             
                        EntityTimerStart {Name = "et4_CStimer_03"},
		},	
		GotoState = "Cutscene42",	
        },
};

State
{
	StateName = "Cutscene42",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_03", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                             
                        EntityTimerStart {Name = "et4_CStimer_04"},
		},	
		GotoState = "Cutscene43",	
        },
};

State
{
	StateName = "Cutscene43",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Matricus_02", Tag = "Sidequest_Matricus", PlayTalkAnim = default},                             
                        EntityTimerStart {Name = "et4_CStimer_05"},
		},	
		GotoState = "Cutscene44",	
        },
};

State
{
	StateName = "Cutscene44",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Jandrim_01", Tag = "Sidequest_Jandrim", PlayTalkAnim = default},                             
                        EntityTimerStart {Name = "et4_CStimer_06"},
		},	
		GotoState = "Cutscene45",	
        },
};

State
{
	StateName = "Cutscene45",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Jandrim_02", Tag = "Sidequest_Jandrim", PlayTalkAnim = default},                             
                        EntityTimerStart {Name = "et4_CStimer_07"},
		},	
		GotoState = "Cutscene46",	
        },
};

State
{
	StateName = "Cutscene46",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_07", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_08", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Jandrim_03", Tag = "Sidequest_Jandrim", PlayTalkAnim = default},                             
                        EntityTimerStart {Name = "et4_CStimer_08"},
		},	
		GotoState = "Cutscene47",	
        },
};

State
{
	StateName = "Cutscene47",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_08", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_09", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Einar_04", Tag = "Sidequest_Einar", PlayTalkAnim = default},                             
                        EntityTimerStart {Name = "et4_CStimer_09"},
		},	
		GotoState = "Cutscene48",	
        },
};

State
{
	StateName = "Cutscene48",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_09", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{}, 
                        AvatarXPGive{Player = "pl_Human01", Amount = 22500},
                        MapFlagSetTrue {Name = "BlessedOneAttack"},
                        FigureVanish	{Tag = "Sidequest_Einar"},
                        FigureNpcSpawn	{Tag = "Einar", Level = 25, UnitId = 222, X = 128.175, Y = 382.396, Team = "tm_Human"},
                        FigureLookAtDirection {Tag = "Einar", Direction = 318.93},
                        FigureRun {Tag = "Sidequest_Einar", X = 137.138, Y = 148.609},
                        PlayerResourceSilverGive {Player = "pl_Enemy", Amount = 3000},
                        PlayerResourceStoneGive {Player = "pl_Enemy", Amount = 3000},
                        PlayerResourceSilverGive {Player = "pl_Enemy02", Amount = 3000},
                        PlayerResourceStoneGive {Player = "pl_Enemy02", Amount = 3000},
                        PlayerKitTransfer	{Player = "pl_Human01", PlayerKit = "pk_Human02"}, 
                        PlayerResourceSilverGive {Player = "pl_Human03", Amount = 1500},
                        PlayerResourceStoneGive {Player = "pl_Human03", Amount = 1500},
                        PlayerResourceLenyaGive {Player = "pl_Human03", Amount = 1500},
                        GateSetOpen   {Tag = "Realm_Gate"}, 
                        GateSetOpen   {Tag = "Beast_Gate"}, 
                        GateSetClosed {Tag = "Castle_Gate"}, 
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "BeastBoss01", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "BeastBoss02", Range = 10, Height = 100},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "BlessedOne06", Range = 15, Height = 100},
                        EntityTimerStart {Name = "Einar_Run"},         	
		},		
	},	

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Einar_Run", Seconds = 2},
		},
		Actions =
		{                       
                        FigureRun {Tag = "Einar", X = 137.138, Y = 148.609},
		},
                GotoState = "KillShaperCutscene",		
        },
};

State
{
	StateName = "KillShaperCutscene",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        FigureIsDead {Tag = "BeastBoss01"},
                        FigureIsDead {Tag = "BeastBoss02"},
                        FigureIsDead {Tag = "BlessedOne06"},
                        FigureIsDead {Tag = "BlessedOne07"},
                        FigureIsDead {Tag = "BlessedOne08"},
                        BuildingIsDead {Tag = "Building01"},
                        BuildingIsDead {Tag = "Building02"},
                        BuildingIsDead {Tag = "Building03"},
                        BuildingIsDead {Tag = "Building04"},
                        BuildingIsDead {Tag = "Building05"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 382.357, Y = 608.109},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 140.35},
			CameraTrackPlay {},     
                        ObjectVanish	{Tag = "Palisade01"},
                        ObjectVanish	{Tag = "Palisade02"},     
                        ObjectVanish	{Tag = "Palisade03"},          
                        CutsceneSay	{TextTag = "pl_Human01Avatar_04", Tag = "pl_Human01Avatar", PlayTalkAnim = default},          
                        EntityTimerStart {Name = "et5_CStimer"},
		},	
		GotoState = "Cutscene50",	
        },
};

State
{
	StateName = "Cutscene50",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},    
                        AvatarXPGive{Player = "pl_Human01", Amount = 22500},             	
		},
                GotoState = "CutsceneEnd",			
	},	
};

State
{
	StateName = "CutsceneEnd",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        FigureIsDead {Tag = "Sidequest_Shaper"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 590.245, Y = 546.991},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 296.975},
                        FigureTeleport {Tag = "Einar", X = 587.385, Y = 548.399},
                        FigureLookAtDirection {Tag = "Einar", Direction = 0},
                        FigureTeleport {Tag = "Sidequest_Jandrim", X = 586.501, Y = 541.632},
                        FigureLookAtDirection {Tag = "Sidequest_Jandrim", Direction = 159.465},
			CameraTrackPlay {},               
                        CutsceneSay	{TextTag = "pl_Human01Avatar_05", Tag = "pl_Human01Avatar", PlayTalkAnim = default},          
                        EntityTimerStart {Name = "et6_CStimer"},
		},	
		GotoState = "Cutscene60",	
        },
};

State
{
	StateName = "Cutscene60",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Jandrim_04", Tag = "Sidequest_Jandrim", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et6_CStimer_02"},
		},	
		GotoState = "Cutscene61",	
        },
};

State
{
	StateName = "Cutscene61",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Einar_05", Tag = "Einar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et6_CStimer_03"},
		},	
		GotoState = "Cutscene62",	
        },
};

State
{
	StateName = "Cutscene62",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_03", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},   
                        FigureVanish	{Tag = "Sidequest_Jandrim"},              	
		},		
	},	
};