State
{
	StateName= "Sidequest_Uland",
	
------------------------------------
--Sidequest_Uland, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{},
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "Sidequest_Uland"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 580.292, Y = 332.161},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Uland_01", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Uland_02", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Uland_03", Tag = "default"},
			EntityFlagSetTrue	{Name = "Quest_Acception"},
			DialogSetDisabled	{Tag = "Sidequest_Uland"},
			EntityTimerStart	{Name = "Remain_Wait_01"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Quest_Acception"},
		},
		Actions=
		{
			EntityFlagSetTrue	{Name = "Quest_Started"},
		},
	},

-----Quest Remain, two times, than loop it with "OnEvent"-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_01", Seconds = 65},
			EntityFlagIsTrue	{Name = "Quest_Acception"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 580.292, Y = 332.161},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Uland_Remain_01", Tag = "default"},
			EntityFlagSetTrue	{Name = "First_Remain"},
			EntityTimerStart	{Name = "Remain_Wait_02"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_02", Seconds = 65},
			EntityFlagIsTrue	{Name = "First_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 580.292, Y = 332.161},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Uland_Remain_02", Tag = "default"},
			EntityFlagSetTrue	{Name = "Second_Remain"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityFlagIsTrue	{Name = "Second_Remain"},
		},
		Actions=
		{
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},
	
	OnEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Loop_Timer", Seconds = 65},
			EntityFlagIsTrue	{Name = "Second_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 580.292, Y = 332.161},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Uland_Remain_03", Tag = "default"},
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},

----get quest item, add Marker------
	OnOneTimeEvent
	{
		Conditions=
		{
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 242, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 241, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 208, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 123, Amount = 1},
		},
		Actions=
		{
			DialogSetEnabled	{Tag = "Sidequest_Uland"},
			DialogTypeSetSideQuest	{Tag = "Sidequest_Uland"},
			EntityFlagSetTrue	{Name = "Got_Quest_Item"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 580.292, Y = 332.161},
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 242, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 241, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 208, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 123, Amount = 1},
		},
		Actions=
		{
			AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 242, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 241, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 208, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 123, Amount = 1},
			FigureOutcry	{TextTag = "Sidequest_Uland_04", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Uland_05", Tag = "default"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 3500},
                        AvatarItemEquipmentGive	{Player = "pl_Human01", ItemId = 1158, Amount = 1},  
                        AvatarItemEquipmentGive	{Player = "pl_Human01", ItemId = 1157, Amount = 1},
			DialogSetDisabled	{Tag = "Sidequest_Uland"},
		},
	},
}; 