State
{
       StateName = "FirstActions",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 136},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 143},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 137},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 146},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 147},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 140},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 142},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 139},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 134},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 144},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 133},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 138},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 141},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 145},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 26},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 24},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 28},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 20},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 30},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 22},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 36},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 38},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 32},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 18},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 34},
                        FigureVanish	{Tag = "Dummy_Avatar01"},
                        FigureVanish	{Tag = "Dummy_Wind"},
                        FigureVanish	{Tag = "Dummy_Avatar02"},
                        FigureVanish	{Tag = "Dummy_Avatar03"},
                        FigureVanish	{Tag = "Dummy_Aryn"},
                        FigureVanish	{Tag = "Dummy_Cenwen"},
                        FigureVanish	{Tag = "Dummy_Aryn02"},
                        FigureVanish	{Tag = "Dummy_Aryn03"},
                        FigureVanish	{Tag = "Dummy_Aryn04"},
                        FigureVanish	{Tag = "Dummy_Avatar04"},
                        FigureVanish	{Tag = "Dummy_Avatar05"},
                        FigureVanish	{Tag = "Dummy_Avatar06"},
                        FigureVanish	{Tag = "Dummy_Whisper"},
                        FigureNpcSpawn	{Tag = "Sidequest_Wind", Level = 1, UnitId = 1166, X = 79.2209, Y = 115.303, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "Sidequest_Cenwen", Level = 1, UnitId = 1196, X = 42.7706, Y = 629.814, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "Sidequest_Aryn", Level = 30, UnitId = 1232, X = 34.9592, Y = 637.551, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "Sidequest_Whisper", Level = 1, UnitId = 1167, X = 578.169, Y = 316.91, Team = "tm_Neutral"},  
                        FigureLookAtDirection {Tag = "Sidequest_Cenwen", Direction = 348.541},
                        FigureLookAtDirection {Tag = "Sidequest_Aryn", Direction = 314.163},
                        FigureLookAtDirection {Tag = "Sidequest_Whisper", Direction = 0},
                        EffectStart	{Tag = "Sidequest_Cenwen", File = "effect_misc_elvenobession_ghosts"},
                        EffectStart	{Tag = "Sidequest_Cenwen", File = "Effect_Misc_ElementalIce"},
                },
        },

        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_01", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Shadow_01", Tag = "Sidequest_Shadow", PlayTalkAnim = default},
			CameraTrackPlay {},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 79.0159, Y = 110.718},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 153.735},                    
                        EntityTimerStart {Name = "et_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_01", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_02", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Shadow_02", Tag = "Sidequest_Shadow", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_03"},                    	
		},
                GotoState = "Cutscene04",			
	},	
};

State
{
	StateName = "Cutscene04",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et_CStimer_03", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_04", Tag = "default", TargetTag = "default"},
                        FigureRun {Tag = "Sidequest_Shadow", X = 88.1815, Y = 69.8006},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et_CStimer_04"},
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et_CStimer_04", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_05", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_02", Tag = "pl_Human01Avatar", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et_CStimer_05", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_06", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Wind_01", Tag = "Sidequest_Wind", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et_CStimer_06"},
		},	
		GotoState = "Cutscene07",	
        },
};

State
{
	StateName = "Cutscene07",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et_CStimer_06", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_07", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Wind_02", Tag = "Sidequest_Wind", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et_CStimer_07"},
		},	
		GotoState = "Cutscene08",	
        },
};

State
{
	StateName = "Cutscene08",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et_CStimer_07", Seconds = 12},
                },
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Cenwen_Portal", Range = 15, Height = 100},
                        PlayerHeroAdd	{Player = "pl_Human01", HeroId = 108},
			FigureHeroSpawn	{Player = "pl_Human01", Tag = "HeroWind", X = 79.2209, Y = 115.303, Direction = 0},
                        FigureVanish	{Tag = "Sidequest_Shadow"},
                        FigureVanish	{Tag = "Sidequest_Wind"},
		},
                GotoState = "CenwenCutscene",		
        },
};

State
{
       StateName = "CenwenCutscene",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 18, X = 275.75, Y = 318.528},
                        FigureIsDead {Tag = "Undeadboss01"},
                        FigureIsDead {Tag = "Undeadboss02"},
                        FigureIsDead {Tag = "Undeadboss03"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_03", Tag = "pl_Human01Avatar", PlayTalkAnim = default},
			CameraTrackPlay {},   
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 280.222, Y = 309.62},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 33.4143},                    
                        EntityTimerStart {Name = "et2_CStimer"},
                        FigureNpcSpawn	{Tag = "Sidequest_Aryn02", Level = 30, UnitId = 1601, X = 108.528, Y = 480.578, Team = "tm_Neutral"},
		},	
		GotoState = "Cutscene20",	
        },
};

State
{
	StateName = "Cutscene20",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        GateSetOpen   {Tag = "Portal_Gate"},                          
                        FigureWalk {Tag = "pl_Human01Avatar", X = 53.5561, Y = 610.085},                    
                        EntityTimerStart {Name = "et2_CStimer_02"},
		},
        }, 
           	
        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_02", Seconds = 6},
		},
		Actions =
		{                                            
                        FigureWalk {Tag = "pl_Human01Avatar", X = 286.164, Y = 303.744},                    
                        EntityTimerStart {Name = "et2_CStimer_03"},
		},	
		GotoState = "Cutscene21",	
        },
};

State
{
	StateName = "Cutscene21",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_03", Seconds = 5},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 41.502, Y = 625.298},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 164.231},                                             
                        EntityTimerStart {Name = "et2_CStimer_04"},
		},	
		GotoState = "Cutscene22",	
        },
};

State
{
	StateName = "Cutscene22",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_04", Seconds = 12},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "pl_Human01Avatar_04", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et2_CStimer_05"},
		},	
		GotoState = "Cutscene23",	
        },
};

State
{
	StateName = "Cutscene23",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_05", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Cenwen_01", Tag = "Sidequest_Cenwen", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et2_CStimer_06"},
		},	
		GotoState = "Cutscene24",	
        },
};

State
{
	StateName = "Cutscene24",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_06", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "pl_Human01Avatar_05", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et2_CStimer_07"},
		},	
		GotoState = "Cutscene25",	
        },
};

State
{
	StateName = "Cutscene25",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_07", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Cenwen_02", Tag = "Sidequest_Cenwen", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et2_CStimer_08"},
		},	
		GotoState = "Cutscene26",	
        },
};

State
{
	StateName = "Cutscene26",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_08", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_08", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "pl_Human01Avatar_06", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et2_CStimer_09"},
		},	
		GotoState = "Cutscene27",	
        },
};

State
{
	StateName = "Cutscene27",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_09", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_09", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Cenwen_03", Tag = "Sidequest_Cenwen", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et2_CStimer_10"},
		},	
		GotoState = "Cutscene28",	
        },
};

State
{
	StateName = "Cutscene28",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_10", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_10", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        FigureLookAtDirection {Tag = "Sidequest_Aryn02", Direction = 41},
                        FigureRun {Tag = "Sidequest_Aryn02", X = 155.208, Y = 438.277},                                           
                        EntityTimerStart {Name = "et2_CStimer_11"},
		},	
		GotoState = "Cutscene29",	
        },
};

State
{
	StateName = "Cutscene29",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_11", Seconds = 8},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_11", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        FigureTeleport {Tag = "Sidequest_Aryn02", X = 569.514, Y = 276.371},
                        FigureLookAtDirection {Tag = "Sidequest_Aryn02", Direction = 134.575},
                        FigureTeamTransfer {Tag = "Sidequest_Aryn02", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "CS_Boss01", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "CS_Boss02", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "CS_Boss03", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "CS_Boss04", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "CS_Boss05", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "CS_Boss06", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "CS_Boss07", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "CS_Boss08", Team = "tm_Enemy"},                                           
                        EntityTimerStart {Name = "et2_CStimer_12"},
		},	
		GotoState = "Cutscene30",	
        },
};

State
{
	StateName = "Cutscene30",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_12", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_12", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Cenwen_04", Tag = "Sidequest_Cenwen", PlayTalkAnim = default},     
                        FigureVanish	{Tag = "Sidequest_Aryn"},                                      
                        EntityTimerStart {Name = "et2_CStimer_13"},
		},	
		GotoState = "Cutscene31",	
        },
};

State
{
	StateName = "Cutscene31",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_13", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        FigureVanish	{Tag = "Sidequest_Aryn02"},
                        FigureVanish	{Tag = "CS_Boss01"},
                        FigureVanish	{Tag = "CS_Boss02"},
                        FigureVanish	{Tag = "CS_Boss03"},
                        FigureVanish	{Tag = "CS_Boss04"},
                        FigureVanish	{Tag = "CS_Boss05"},
                        FigureVanish	{Tag = "CS_Boss06"},
                        FigureVanish	{Tag = "CS_Boss07"},
                        FigureVanish	{Tag = "CS_Boss08"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 275.865, Y = 318.166},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 0},
                        AvatarXPGive{Player = "pl_Human01", Amount = 8250 },
                        GateSetOpen   {Tag = "Forest_Gate"},
                },
                GotoState = "DwarfTownCutscene",	
        },
};

State
{
       StateName = "DwarfTownCutscene",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 13, X = 580.322, Y = 286.508},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Whisper_01", Tag = "Sidequest_Whisper", PlayTalkAnim = default},
			CameraTrackPlay {}, 
                        GateSetOpen   {Tag = "Dwarf_Gate"},  
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 578.387, Y = 312.167},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 180},                    
                        EntityTimerStart {Name = "et3_CStimer"},
		},	
		GotoState = "Cutscene32",	
        },
};

State
{
	StateName = "Cutscene32",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "pl_Human01Avatar_07", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et3_CStimer_02"},
		},	
		GotoState = "Cutscene33",	
        },
};

State
{
	StateName = "Cutscene33",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_02", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "pl_Human01Avatar_08", Tag = "pl_Human01Avatar", PlayTalkAnim = default}, 
                        EffectStart	{Tag = "Frostweaver_Mountains01", File = "effect_misc_god_vanishing"},                                          
                        EntityTimerStart {Name = "et3_CStimer_03"},
		},	
		GotoState = "Cutscene34",	
        },
};

State
{
	StateName = "Cutscene34",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_03", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Whisper_02", Tag = "Sidequest_Whisper", PlayTalkAnim = default},                                         
                        EntityTimerStart {Name = "et3_CStimer_04"},
		},	
		GotoState = "Cutscene35",	
        },
};

State
{
	StateName = "Cutscene35",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_04", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Whisper_03", Tag = "Sidequest_Whisper", PlayTalkAnim = default},                                         
                        EntityTimerStart {Name = "et3_CStimer_05"},
		},	
		GotoState = "Cutscene36",	
        },
};

State
{
	StateName = "Cutscene36",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_05", Seconds = 12},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        FigureVanish	{Tag = "Sidequest_Whisper"}, 
                        PlayerHeroAdd	{Player = "pl_Human01", HeroId = 107},
                        AvatarXPGive{Player = "pl_Human01", Amount = 8250 },
			FigureHeroSpawn	{Player = "pl_Human01", Tag = "HeroWhisper", X = 578.169, Y = 316.91, Direction = 0},
                },
                GotoState = "BalthasarCutscene",	
        },
};

State
{
	StateName = "BalthasarCutscene",	

	OnOneTimeEvent	
	{
		Conditions =
		{				
			FigureIsDead {Tag = "Ice01"},
                        FigureIsDead {Tag = "Ice02"},
                        FigureIsDead {Tag = "Ice03"},
                        FigureIsDead {Tag = "Ice04"},
                        FigureIsDead {Tag = "Ice05"},
                        FigureIsDead {Tag = "Ice06"},
                        FigureIsDead {Tag = "Ice07"},
                        BuildingIsDead	{Tag = "IceBuilding"},
                        MapFlagIsTrue {Name = "LastActions"},
		},
		Actions =
		{       
                        CutsceneBegin	{File = "default"},                
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        CutsceneSay	{TextTag = "Sidequest_Balthasar_01", Tag = "Sidequest_Balthasar", PlayTalkAnim = default},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 264.126, Y = 448.591},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 180},     
                        EntityTimerStart {Name = "et4_CStimer"},
		},	
		GotoState = "Cutscene40",	
        },
};

State
{
	StateName = "Cutscene40",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "pl_Human01Avatar_09", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et4_CStimer_02"},
		},	
		GotoState = "Cutscene41",	
        },
};

State
{
	StateName = "Cutscene41",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_02", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Balthasar_02", Tag = "Sidequest_Balthasar", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et4_CStimer_03"},
		},	
		GotoState = "Cutscene42",	
        },
};

State
{
	StateName = "Cutscene42",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer_03", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{}, 
                        FigureTeamTransfer {Tag = "Sidequest_Balthasar", Team = "tm_Enemy"},
                        ObjectVanish	{Tag = "BalthasarBlock01"},
                        ObjectVanish	{Tag = "BalthasarBlock02"},
		},	
		GotoState = "BalthasarDeath",	
        },
};

State
{
       StateName = "BalthasarDeath",

       OnOneTimeEvent
       {
                Conditions =
                {
                        FigureIsDead {Tag = "Sidequest_Balthasar"}, 
                },
                Actions =
                {
                        AvatarXPGive{Player = "pl_Human01", Amount = 10275},
                },	
		GotoState = "LastCutscene",	
        },
};

State
{
       StateName = "LastCutscene",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 15, X = 199.513, Y = 562.969},
                        MapFlagIsTrue {Name = "LastActions"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_01", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "pl_Human01Avatar_10", Tag = "pl_Human01Avatar", PlayTalkAnim = default},
			CameraTrackPlay {},  
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 180.833, Y = 565.221},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 275.476},                    
                        EntityTimerStart {Name = "et5_CStimer"},
		},	
		GotoState = "Cutscene50",	
        },
};

State
{
	StateName = "Cutscene50",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Witch_01", Tag = "Sidequest_Witch", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et5_CStimer_02"},
		},	
		GotoState = "Cutscene51",	
        },
};

State
{
	StateName = "Cutscene51",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_02", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "pl_Human01Avatar_11", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et5_CStimer_03"},
		},	
		GotoState = "Cutscene52",	
        },
};

State
{
	StateName = "Cutscene52",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_03", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Witch_02", Tag = "Sidequest_Witch", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et5_CStimer_04"},
		},	
		GotoState = "Cutscene53",	
        },
};

State
{
	StateName = "Cutscene53",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_04", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "pl_Human01Avatar_12", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                                           
                        EntityTimerStart {Name = "et5_CStimer_05"},
		},	
		GotoState = "Cutscene54",	
        },
};

State
{
	StateName = "Cutscene54",

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_05", Seconds = 10},
		},
		Actions =
		{                                            
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{}, 
                        AvatarXPGive{Player = "pl_Human01", Amount = 10275},
                        FigureRun {Tag = "Sidequest_Witch", X = 252.303, Y = 659.016},
		},
                GotoState = "ReachingPortal",	
        },
};

State
{
	StateName = "ReachingPortal",

        OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "Sidequest_Witch", Range = 4, X = 252.303, Y = 659.016},
		},
		Actions=
		{
			FigureVanish	{Tag = "Sidequest_Witch"}, 
		},
	},
};