State
{
	StateName= "Sidequest_Osal",
	
------------------------------------
--Sidequest_Osal, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{},
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "Sidequest_Osal"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 267.026, Y = 516.517},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Osal_01", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Osal_02", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Osal_03", Tag = "default"},
			EntityFlagSetTrue	{Name = "Quest_Acception"},
			DialogSetDisabled	{Tag = "Sidequest_Osal"},
			EntityTimerStart	{Name = "Remain_Wait_01"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Quest_Acception"},
		},
		Actions=
		{
			ObjectLootItemMiscAdd	{Tag = "Armor01", DropChance = 100, ItemId = 231},
                        ObjectLootItemMiscAdd	{Tag = "Armor02", DropChance = 100, ItemId = 232},
                        ObjectLootItemMiscAdd	{Tag = "Armor03", DropChance = 100, ItemId = 233},
                        ObjectLootItemMiscAdd	{Tag = "Armor04", DropChance = 100, ItemId = 234},
                        ObjectLootItemMiscAdd	{Tag = "Armor05", DropChance = 100, ItemId = 230},
		},
	},

-----Quest Remain, two times, than loop it with "OnEvent"-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_01", Seconds = 65},
			EntityFlagIsTrue	{Name = "Quest_Acception"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 267.026, Y = 516.517},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Osal_Remain_01", Tag = "default"},
			EntityFlagSetTrue	{Name = "First_Remain"},
			EntityTimerStart	{Name = "Remain_Wait_02"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_02", Seconds = 65},
			EntityFlagIsTrue	{Name = "First_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 267.026, Y = 516.517},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Osal_Remain_02", Tag = "default"},
			EntityFlagSetTrue	{Name = "Second_Remain"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityFlagIsTrue	{Name = "Second_Remain"},
		},
		Actions=
		{
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},
	
	OnEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Loop_Timer", Seconds = 65},
			EntityFlagIsTrue	{Name = "Second_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 267.026, Y = 516.517},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Osal_Remain_03", Tag = "default"},
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},

----get quest item, add Marker------
	OnOneTimeEvent
	{
		Conditions=
		{
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 231, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 232, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 233, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 234, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 230, Amount = 1},
		},
		Actions=
		{
			DialogSetEnabled	{Tag = "Sidequest_Osal"},
			DialogTypeSetSideQuest	{Tag = "Sidequest_Osal"},
			EntityFlagSetTrue	{Name = "Got_Quest_Item"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 267.026, Y = 516.517},
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 231, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 232, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 233, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 234, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 230, Amount = 1},
		},
		Actions=
		{
			AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 231, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 232, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 233, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 234, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 230, Amount = 1},
			FigureOutcry	{TextTag = "Sidequest_Osal_04", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Osal_05", Tag = "default"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 2000},
			DialogSetDisabled	{Tag = "Sidequest_Osal"},
		},
	},
}; 