State
{
	StateName= "Sidequest_Elf",
	
------------------------------------
--Sidequest_Elf, Start, set Marker--
------------------------------------

	OnOneTimeEvent
	{
		Conditions=
		{
                        MapFlagIsTrue	{Name = "JandrimDialog"},
                },
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "Sidequest_Elf"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 609.896, Y = 303.323},
                        MapFlagIsTrue	{Name = "JandrimDialog"},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Elf_01", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Elf_02", Tag = "default"},
                        FigureOutcry	{TextTag = "Sidequest_Elf_03", Tag = "default"},
			EntityFlagSetTrue	{Name = "Quest_Acception_Druid"},
			DialogSetDisabled	{Tag = "Sidequest_Elf"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Quest_Acception_Druid"},
		},
		Actions=
		{
			FigureTeamTransfer {Tag = "Wolf01", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "Wolf02", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "Wolf03", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "Wolf04", Team = "tm_Enemy"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
                        FigureIsDead {Tag = "Wolf01"},
                        FigureIsDead {Tag = "Wolf02"},
                        FigureIsDead {Tag = "Wolf03"},
                        FigureIsDead {Tag = "Wolf04"},
                        EntityFlagIsTrue {Name = "Quest_Acception_Druid"},
                },
                Actions=
		{
			FigureTeleport {Tag = "Sidequest_Treant", X = 43.257, Y = 232.079},
                        FigureLookAtDirection {Tag = "Sidequest_Treant", Direction = 79.2509},
                        EntityTimerStart {Name = "Sidequest_Timer_01"},			
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			EntityTimerIsElapsed {Name = "Sidequest_Timer_01", Seconds = 2},
		},
		Actions=
		{
			FigureAnimPlayOnce      {Tag = "Sidequest_Treant", File = "base/gfx/figures/fraction_1/figure_elf_treant_resolve_enemy.ska"},
                        EffectStart	{Tag = "Sidequest_Treant", File = "effect_areahypnotize_cast"},
                        EffectStart	{Tag = "Sidequest_Druid", File = "effect_areaheal_impact"},
                        EntityTimerStart {Name = "Sidequest_Timer_02"},	
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			EntityTimerIsElapsed {Name = "Sidequest_Timer_02", Seconds = 1},
		},
		Actions=
		{
			ObjectVanish	{Tag = "Druid_Cage"},
                        EntityTimerStart {Name = "Sidequest_Timer_03"},	
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			EntityTimerIsElapsed {Name = "Sidequest_Timer_03", Seconds = 1},
		},
		Actions=
		{
			FigureRun {Tag = "Sidequest_Druid", X = 610.928, Y = 306.585},
                        FigureVanish	{Tag = "Sidequest_Treant"},
                        EffectStart	{Tag = "Treant_Effect", File = "effect_areadecay_impact"},
                        EntityFlagSetTrue	{Name = "Druidisfree"},
		},
	},

        OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Druidisfree"},
                        FigureIsInRange	{Tag = "Sidequest_Druid", Range = 10, X = 610.928, Y = 306.585},
		},
		Actions=
		{
			DialogSetEnabled	{Tag = "Sidequest_Elf"},
			DialogTypeSetSideQuest	{Tag = "Sidequest_Elf"},
			EntityFlagSetTrue	{Name = "Druid_Is_Save"},
		},
	},
---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 609.896, Y = 303.323},
			EntityFlagIsTrue	{Name = "Druidisfree"},
                        FigureIsInRange	{Tag = "Sidequest_Druid", Range = 10, X = 610.928, Y = 306.585},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Elf_04", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Elf_05", Tag = "default"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 2500},
			DialogSetDisabled	{Tag = "Sidequest_Elf"},
		},
	},
}; 