State
{
	StateName= "Ghost01",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "Demon_Attack"},  
                        PlayerFigureIsInRangeToEntity	{Player = "pl_Human01", Range = 18, TargetTag = "Building01"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_04_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},     
                        CutsceneSay	{TextTag = "Exhaused_Ghost_01", Tag = "Ghost01", PlayTalkAnim = default},               
                        EntityTimerStart {Name = "et4_CStimer"},
		},	
		GotoState = "Cutscene40",	
        },
};

State
{
	StateName = "Cutscene40",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et4_CStimer", Seconds = 15},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},  
                        MapFlagSetTrue {Name = "FreeElven"},                      	
		},
                GotoState = "Kidnapped_Elfs",			
	},	
};

State
{
	StateName= "Kidnapped_Elfs",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "FreeElven"},  
                        PlayerFigureIsInRangeToEntity	{Player = "pl_Human01", Range = 10, TargetTag = "Elven_Shield"},
                },
		Actions =
		{
                        FigureWalk {Tag = "Ghost01", X = 227.676, Y = 630.375},
                        FigureWalk {Tag = "Ghost02", X = 227.676, Y = 630.375},
                        FigureWalk {Tag = "Ghost03", X = 227.676, Y = 630.375},
                        FigureWalk {Tag = "Ghost04", X = 227.676, Y = 630.375},
                        FigureWalk {Tag = "Ghost05", X = 227.676, Y = 630.375},
                        FigureWalk {Tag = "Ghost06", X = 227.676, Y = 630.375},
                        ObjectVanish	{Tag = "Elven_Shield"},
                        FigureOutcry	{TextTag = "Exhaused_Ghost_02", Tag = "default"},
                        MapFlagSetTrue {Name = "Talk_with_Elf"},
		},	
        },
};
