State
{
	StateName= "Sidequest_Ghost03",
	
------------------------------------
--Sidequest_Hedwig, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{
                        MapFlagIsTrue {Name = "Town_Sidequest"},
                },
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "Sidequest_Ghost03"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 347.701, Y = 447.122},
                        MapFlagIsTrue {Name = "Town_Sidequest"},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Ghost03_01", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Ghost03_02", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Ghost03_03", Tag = "default"},
                        FigureOutcry	{TextTag = "Sidequest_Ghost03_04", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Ghost03_05", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Ghost03_06", Tag = "default"},			
			EntityFlagSetTrue	{Name = "Quest_Acception"},
			DialogSetDisabled	{Tag = "Sidequest_Ghost03"},
			EntityTimerStart	{Name = "Remain_Wait_01"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Quest_Acception"},
		},
		Actions=
		{
			ObjectLootItemMiscAdd	{Tag = "Mushroom01", DropChance = 100, ItemId = 31},
                        ObjectLootItemMiscAdd	{Tag = "Mushroom02", DropChance = 100, ItemId = 30},
                        ObjectLootItemMiscAdd	{Tag = "Mushroom03", DropChance = 100, ItemId = 28},
		},
	},

-----Quest Remain, two times, than loop it with "OnEvent"-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_01", Seconds = 90},
			EntityFlagIsTrue	{Name = "Quest_Acception"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 347.701, Y = 447.122},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Ghost03_Remain_01", Tag = "default"},
			EntityFlagSetTrue	{Name = "First_Remain"},
			EntityTimerStart	{Name = "Remain_Wait_02"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_02", Seconds = 90},
			EntityFlagIsTrue	{Name = "First_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 347.701, Y = 447.122},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Ghost03_Remain_02", Tag = "default"},
			EntityFlagSetTrue	{Name = "Second_Remain"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityFlagIsTrue	{Name = "Second_Remain"},
		},
		Actions=
		{
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},
	
	OnEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Loop_Timer", Seconds = 90},
			EntityFlagIsTrue	{Name = "Second_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 347.701, Y = 447.122},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Ghost03_Remain_03", Tag = "default"},
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},

----get quest item, add Marker------
	OnOneTimeEvent
	{
		Conditions=
		{
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 31, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 30, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 28, Amount = 1},
		},
		Actions=
		{
			DialogSetEnabled	{Tag = "Sidequest_Ghost03"},
			DialogTypeSetSideQuest	{Tag = "Sidequest_Ghost03"},
			EntityFlagSetTrue	{Name = "Got_Quest_Item"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 347.701, Y = 447.122},
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 31, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 30, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 28, Amount = 1},
		},
		Actions=
		{
			AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 31, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 30, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 28, Amount = 1},
			FigureOutcry	{TextTag = "Sidequest_Ghost03_07", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Ghost03_08", Tag = "default"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 250},
			DialogSetDisabled	{Tag = "Sidequest_Ghost03"},
		},
	},
};