State
{
       StateName = "FirstActions",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 119},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 118},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 126},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 125},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 123},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 124},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 116},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 115},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 120},
                        PlayerBuildingAdd	{Player = "pl_Human01", BuildingId = 121},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 9},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 14},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 13},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 6},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 15},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 12},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 8},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 11},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 7},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 16},
                        PlayerBuildingUpgradeAdd	{Player = "pl_Human01", UpgradeId = 10},
                        FigureVanish	{Tag = "Dummy_Avatar"},
                        FigureVanish	{Tag = "Dummy_Mordecay"},
                        FigureVanish	{Tag = "CS_Sidequest_Shaper"},
                        FigureVanish	{Tag = "Dummy_Ylia"},
                        FigureVanish	{Tag = "Dummy_Avatar03"},
                        FigureVanish	{Tag = "Dummy_Ylia03"},
                        FigureVanish	{Tag = "Dummy_Ylia02"},
                        FigureNpcSpawn	{Tag = "Sidequest_Shaper", Level = 1, UnitId = 1209, X = 530.958, Y = 172.745, Team = "tm_Neutral"},	
                        AvatarXPGive{Player = "pl_Human01", Amount = 680},   
                },
        },

        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_01", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Mordecay_01", Tag = "Sidequest_Mordecay", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Mordecay_02", Tag = "Sidequest_Mordecay", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_02", Seconds = 14},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},  
                        MapFlagSetTrue {Name = "Guardians"},                      	
		},
                GotoState = "CutsceneYlia",			
	},	
};

State
{
	StateName = "CutsceneYlia",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        PlayerFigureIsInRangeToEntity	{Player = "pl_Human01", Range = 18, TargetTag = "Elven_Gate"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
                        FigureLookAtDirection {Tag = "Sidequest_Mordecay", Direction = 331.352},
                        GateSetOpen   {Tag = "Elven_Gate"},
                        CutsceneSay	{TextTag = "Sidequest_Mordecay_03", Tag = "Sidequest_Mordecay", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer"},
		},	
		GotoState = "Cutscene20",	
        },
};

State
{
	StateName = "Cutscene20",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et2_CStimer", Seconds = 12},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_02", Tag = "default", TargetTag = "default"},
                        FigureWalk {Tag = "Sidequest_Mordecay", X = 124.93, Y = 525.878},
                        FigureWalk {Tag = "pl_Human01Avatar", X = 121.772, Y = 525.789},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer_02"},
		},	
		GotoState = "Cutscene21",	
        },
};

State
{
	StateName = "Cutscene21",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et2_CStimer_02", Seconds = 17},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_03", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Ylia_01", Tag = "Sidequest_Ylia", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer_03"},
		},	
		GotoState = "Cutscene22",	
        },
};

State
{
	StateName = "Cutscene22",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et2_CStimer_03", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_04", Tag = "default", TargetTag = "default"},
                        FigureLookAtDirection {Tag = "Sidequest_Mordecay", Direction = 331.352},
                        CutsceneSay	{TextTag = "Sidequest_Mordecay_04", Tag = "Sidequest_Mordecay", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer_04"},
		},	
		GotoState = "Cutscene23",	
        },
};

State
{
	StateName = "Cutscene23",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et2_CStimer_04", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_05", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Ylia_02", Tag = "Sidequest_Ylia", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer_05"},
		},	
		GotoState = "Cutscene24",	
        },
};

State
{
	StateName = "Cutscene24",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et2_CStimer_05", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_06", Tag = "default", TargetTag = "default"},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 33.4143},
                        CutsceneSay	{TextTag = "Human_Avatar_01", Tag = "pl_Human01Avatar", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer_06"},
		},	
		GotoState = "Cutscene25",	
        },
};

State
{
	StateName = "Cutscene25",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et2_CStimer_06", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_07", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Ylia_03", Tag = "Sidequest_Ylia", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer_07"},
		},	
		GotoState = "Cutscene26",	
        },
};

State
{
	StateName = "Cutscene26",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et2_CStimer_07", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_08", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Mordecay_05", Tag = "Sidequest_Mordecay", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer_08"},
		},	
		GotoState = "Cutscene27",	
        },
};

State
{
	StateName = "Cutscene27",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et2_CStimer_08", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_09", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Ylia_04", Tag = "Sidequest_Ylia", PlayTalkAnim = default},
			CameraTrackPlay {},                   
                        EntityTimerStart {Name = "et2_CStimer_09"},
		},	
		GotoState = "Cutscene28",	
        },
};

State
{
	StateName = "Cutscene28",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et2_CStimer_09", Seconds = 17},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_10", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Mordecay_06", Tag = "Sidequest_Mordecay", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et2_CStimer_10"},
		},	
		GotoState = "Cutscene29",	
        },
};

State
{
	StateName = "Cutscene29",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_10", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        PlayerKitTransfer	{Player = "pl_Human01", PlayerKit = "pk_Human02"},
                        FigureWalk {Tag = "Sidequest_Ylia", X = 187.02, Y = 451.844},	
                        PlayerHeroAdd	{Player = "pl_Human01", HeroId = 10},
			FigureHeroSpawn	{Player = "pl_Human01", Tag = "HeroMordecay", X = 124.93, Y = 525.878, Direction = 331.352},
                        FigureVanish	{Tag = "Sidequest_Mordecay"},
                        AvatarItemEquipmentGive	{Player = "pl_Human01", ItemId = 259 , Amount = 1},  
                        AvatarItemEquipmentGive	{Player = "pl_Human01", ItemId = 599 , Amount = 1},
                        AvatarItemEquipmentGive	{Player = "pl_Human01", ItemId = 486 , Amount = 1},
                        AvatarItemEquipmentGive	{Player = "pl_Human01", ItemId = 600 , Amount = 1},
                        AvatarItemEquipmentGive	{Player = "pl_Human01", ItemId = 172 , Amount = 1},   
                        VisualTimerStart {Seconds = 840}, 
                        MapTimerStart	{Name = "Gate_Open"},   
                        PlayerResourceSilverGive {Player = "pl_Enemy", Amount = 9999},
                        PlayerResourceLenyaGive {Player = "pl_Enemy", Amount = 9999},
                        PlayerResourceStoneGive {Player = "pl_Enemy", Amount = 9999},     
                },
                GotoState = "ElvenFortress",	
        },
};

State
{
	StateName= "ElvenFortress",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        BuildingIsDead	{Tag = "Building01"},
                        BuildingIsDead	{Tag = "Building02"},
                        BuildingIsDead	{Tag = "Building03"},
                        BuildingIsDead	{Tag = "Building04"},
                        BuildingIsDead	{Tag = "Building05"},
                        BuildingIsDead	{Tag = "Building06"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "Sidequest_Ylia", X = 232.76, Y = 435.912},
                        FigureLookAtDirection {Tag = "Sidequest_Ylia", Direction = 108},
                        CutsceneSay	{TextTag = "Sidequest_Ylia_07", Tag = "Sidequest_Ylia", PlayTalkAnim = default}, 
                        GateSetOpen   {Tag = "City_Gate"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "Ylia_Go"},
		},		
        },

        OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "Ylia_Go", Seconds = 6},
		},
		Actions =
		{                                                                                              
                        FigureRun {Tag = "Sidequest_Ylia", X = 258.91, Y = 439.509},
                        EntityTimerStart {Name = "et5_CStimer_01"},                     
		},	
		GotoState = "Cutscene50",	
        },
};

State
{
	StateName= "Cutscene50",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et5_CStimer_01", Seconds = 6},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_02", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "Sidequest_Ylia", X = 358.207, Y = 457.612},
                        FigureLookAtDirection {Tag = "Sidequest_Ylia", Direction = 57},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 360.472, Y = 454.064},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 155},
                        CutsceneSay	{TextTag = "Sidequest_Idara_01", Tag = "Sidequest_Idara", PlayTalkAnim = default}, 
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et5_CStimer_02"},
		},	
		GotoState = "Cutscene51",	
        },
};

State
{
	StateName= "Cutscene51",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et5_CStimer_02", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_03", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Human_Avatar_02", Tag = "pl_Human01Avatar", PlayTalkAnim = default}, 
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et5_CStimer_03"},
		},	
		GotoState = "Cutscene52",	
        },
};

State
{
	StateName= "Cutscene52",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et5_CStimer_03", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_04", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Idara_02", Tag = "Sidequest_Idara", PlayTalkAnim = default}, 
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et5_CStimer_04"},
		},	
		GotoState = "Cutscene53",	
        },
};

State
{
	StateName= "Cutscene53",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et5_CStimer_04", Seconds = 11},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_05", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Idara_03", Tag = "Sidequest_Idara", PlayTalkAnim = default}, 
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et5_CStimer_05"},
		},	
		GotoState = "Cutscene54",	
        },
};

State
{
	StateName = "Cutscene54",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_05", Seconds = 12},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},  
                        MapFlagSetTrue {Name = "Town_Sidequest"},                      	
		},	
                GotoState = "LastCutscene",		
	},	
};

State
{
	StateName= "LastCutscene",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue {Name = "Town_Sidequest"},
                        PlayerFigureIsInRangeToEntity	{Player = "pl_Human01", Range = 12, TargetTag = "Portal_Gate"},
                        
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_01", Tag = "default", TargetTag = "default"},
                        FigureLookAtDirection {Tag = "Sidequest_Shaper", Direction = 284.433},
                        GateSetOpen   {Tag = "Portal_Gate"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et6_CStimer"},
		},	
		GotoState = "Cutscene60",	
        },
};

State
{
	StateName= "Cutscene60",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et6_CStimer", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_02", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Mauser_01", Tag = "Sidequest_Mauser", PlayTalkAnim = default}, 
                        EffectStart	{Tag = "Sidequest_Mauser", File = "effect_areadecay_impact"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et6_CStimer_02"},
		},	
		GotoState = "Cutscene61",	
        },
};

State
{
	StateName= "Cutscene61",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et6_CStimer_02", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_03", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Mauser_02", Tag = "Sidequest_Mauser", PlayTalkAnim = default}, 
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et6_CStimer_03"},
		},	
		GotoState = "Cutscene62",	
        },
};

State
{
	StateName= "Cutscene62",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et6_CStimer_03", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_04", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Shaper_01", Tag = "Sidequest_Shaper", PlayTalkAnim = default}, 
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et6_CStimer_04"},
		},	
		GotoState = "Cutscene63",	
        },
};

State
{
	StateName= "Cutscene63",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et6_CStimer_04", Seconds = 10},
                },
		Actions =
		{
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_05", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Mauser_03", Tag = "Sidequest_Mauser", PlayTalkAnim = default}, 
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et6_CStimer_05"},
		},	
		GotoState = "Cutscene64",	
        },
};

State
{
	StateName = "Cutscene64",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et6_CStimer_05", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},  
                        FigureVanish	{Tag = "Sidequest_Mauser"},
                        FigureVanish	{Tag = "Sidequest_Shaper"},                     	
		},			
	},	
};