State
{
	StateName= "Sidequest_Mardrag",
	
------------------------------------
--Sidequest_Mardrag, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{
                        MapFlagIsTrue {Name = "Town_Sidequest"},
                },
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "Sidequest_Mardrag"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 94.1821, Y = 553.346},
                        MapFlagIsTrue {Name = "Town_Sidequest"},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Mardrag_01", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Mardrag_02", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Mardrag_03", Tag = "default"},
                        FigureOutcry	{TextTag = "Sidequest_Mardrag_04", Tag = "default"},			
			EntityFlagSetTrue	{Name = "Quest_Acception"},
			DialogSetDisabled	{Tag = "Sidequest_Mardrag"},
			EntityTimerStart	{Name = "Remain_Wait_01"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Quest_Acception"},
		},
		Actions=
		{
			ObjectLootItemMiscAdd	{Tag = "Chest", DropChance = 100, ItemId = 146},
                        ObjectLootItemMiscAdd	{Tag = "Chest", DropChance = 100, ItemId = 149},
                        ObjectLootItemMiscAdd	{Tag = "Chest", DropChance = 100, ItemId = 143},
		},
	},

-----Quest Remain, two times, than loop it with "OnEvent"-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_01", Seconds = 90},
			EntityFlagIsTrue	{Name = "Quest_Acception"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 94.1821, Y = 553.346},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Mardrag_Remain_01", Tag = "default"},
			EntityFlagSetTrue	{Name = "First_Remain"},
			EntityTimerStart	{Name = "Remain_Wait_02"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_02", Seconds = 90},
			EntityFlagIsTrue	{Name = "First_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 94.1821, Y = 553.346},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Mardrag_Remain_02", Tag = "default"},
			EntityFlagSetTrue	{Name = "Second_Remain"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityFlagIsTrue	{Name = "Second_Remain"},
		},
		Actions=
		{
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},
	
	OnEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Loop_Timer", Seconds = 90},
			EntityFlagIsTrue	{Name = "Second_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 94.1821, Y = 553.346},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Mardrag_Remain_03", Tag = "default"},
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},

----get quest item, add Marker------
	OnOneTimeEvent
	{
		Conditions=
		{
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 146, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 149, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 143, Amount = 1},
		},
		Actions=
		{
			DialogSetEnabled	{Tag = "Sidequest_Mardrag"},
			DialogTypeSetSideQuest	{Tag = "Sidequest_Mardrag"},
			EntityFlagSetTrue	{Name = "Got_Quest_Item"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 94.1821, Y = 553.346},
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 146, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 149, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 143, Amount = 1},
		},
		Actions=
		{
			AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 146, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 149, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 143, Amount = 1},
			FigureOutcry	{TextTag = "Sidequest_Mardrag_05", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Mardrag_06", Tag = "default"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 500},
			DialogSetDisabled	{Tag = "Sidequest_Mardrag"},
		},
	},
};