State
{
	StateName = "Base_Gate",	

	OnOneTimeEvent	
	{
		Conditions =
		{				
			FigureIsDead {Tag = "Rebel14"},
                        FigureIsDead {Tag = "Rebel15"},
                        FigureIsDead {Tag = "Rebel16"},
                        FigureIsDead {Tag = "Rebel17"},
                        FigureIsDead {Tag = "Rebel18"},
                        FigureIsDead {Tag = "Rebel19"},
                        FigureIsDead {Tag = "Rebel20"},
                        FigureIsDead {Tag = "Rebel21"},
                        FigureIsDead {Tag = "Rebel22"},
                        FigureIsDead {Tag = "Rebel23"},
                        FigureIsDead {Tag = "Rebel24"},
                        FigureIsDead {Tag = "Rebel25"},
                        FigureIsDead {Tag = "Rebel26"},
                        FigureIsDead {Tag = "Rebel27"},
                        MapFlagIsTrue {Name = "Base_Gate_Cutscene"},
		},
		Actions =
		{       
                        CutsceneBegin	{File = "default"},                
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_01", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},
                        BuildingDestroy	{Tag = "DarkBuilding04"},
                        GateSetOpen   {Tag = "Base_Gate"},  
                        CutsceneSay	{TextTag = "pl_Human01Avatar_07", Tag = "pl_Human01Avatar", PlayTalkAnim = default},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 330.367, Y = 388.237},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 39.1439},    
                        EntityTimerStart {Name = "et5_CStimer"},
		},	
		GotoState = "Cutscene50",	
        },
};

State
{
	StateName = "Cutscene50",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_05_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Talking_Archer_01", Tag = "orc01", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et5_CStimer_02"},
		},	
		GotoState = "Cutscene51",	
        },
};

State
{
	StateName = "Cutscene51",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et5_CStimer_02", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{}, 
                        FigurePlayerTransfer {Tag = "orc01", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "orc02", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "orc03", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "orc04", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "orc05", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "orc06", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "orc07", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "orc08", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "orc09", Player = "pl_Human01"},
                        FigurePlayerTransfer {Tag = "orc10", Player = "pl_Human01"},
                        FigureTeamTransfer {Tag = "orc01", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "orc02", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "orc03", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "orc04", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "orc05", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "orc06", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "orc07", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "orc08", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "orc09", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "orc10", Team = "tm_Human"},
                        AvatarXPGive{Player = "pl_Human01", Amount = 2500},
                        MapFlagSetTrue {Name = "Dwarf_Town"},
		},	
	},	
};