State
{
	StateName= "Sidequest_Baru",
	
------------------------------------
--Sidequest_Osal, Start, set Marker-
------------------------------------
	OnOneTimeEvent
	{
		Conditions=
		{
                        MapFlagIsTrue	{Name = "JandrimDialog"},
                },
		Actions=
		{
			DialogTypeSetSideQuest	{Tag = "Sidequest_Baru"},
		},
	},

-----Outcries, Quest Description, remove Marker-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 322.28, Y = 518.249},
                        MapFlagIsTrue	{Name = "JandrimDialog"},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Baru_01", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Baru_02", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Baru_03", Tag = "default"},
			EntityFlagSetTrue	{Name = "Quest_Acception"},
			DialogSetDisabled	{Tag = "Sidequest_Baru"},
			EntityTimerStart	{Name = "Remain_Wait_01"},
		},
	},

----- generate the loot, "grne Murmel", after Quest_Acception--------
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsTrue	{Name = "Quest_Acception"},
		},
		Actions=
		{
			ObjectLootItemMiscAdd	{Tag = "Plant01", DropChance = 100, ItemId = 27},
                        ObjectLootItemMiscAdd	{Tag = "Plant02", DropChance = 100, ItemId = 24},
                        ObjectLootItemMiscAdd	{Tag = "Plant03", DropChance = 100, ItemId = 28},
                        ObjectLootItemMiscAdd	{Tag = "Plant04", DropChance = 100, ItemId = 22},
                        ObjectLootItemMiscAdd	{Tag = "Plant05", DropChance = 100, ItemId = 30},
                        ObjectLootItemMiscAdd	{Tag = "Plant06", DropChance = 100, ItemId = 21},
		},
	},

-----Quest Remain, two times, than loop it with "OnEvent"-----	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_01", Seconds = 65},
			EntityFlagIsTrue	{Name = "Quest_Acception"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 322.28, Y = 518.249},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Baru_Remain_01", Tag = "default"},
			EntityFlagSetTrue	{Name = "First_Remain"},
			EntityTimerStart	{Name = "Remain_Wait_02"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Remain_Wait_02", Seconds = 65},
			EntityFlagIsTrue	{Name = "First_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 322.28, Y = 518.249},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Baru_Remain_02", Tag = "default"},
			EntityFlagSetTrue	{Name = "Second_Remain"},
		},
	},
	
	OnOneTimeEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityFlagIsTrue	{Name = "Second_Remain"},
		},
		Actions=
		{
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},
	
	OnEvent
	{
		Conditions=
		{
			EntityFlagIsFalse	{Name = "Got_Quest_Item"},
			EntityTimerIsElapsed	{Name = "Loop_Timer", Seconds = 65},
			EntityFlagIsTrue	{Name = "Second_Remain"},
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 322.28, Y = 518.249},
		},
		Actions=
		{
			FigureOutcry	{TextTag = "Sidequest_Baru_Remain_03", Tag = "default"},
			EntityTimerStart	{Name = "Loop_Timer"},
		},
	},

----get quest item, add Marker------
	OnOneTimeEvent
	{
		Conditions=
		{
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 27, Amount = 1}, 
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 24, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 28, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 22, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 30, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 21, Amount = 1},
		},
		Actions=
		{
			DialogSetEnabled	{Tag = "Sidequest_Baru"},
			DialogTypeSetSideQuest	{Tag = "Sidequest_Baru"},
			EntityFlagSetTrue	{Name = "Got_Quest_Item"},
		},
	},

---- Quest Solving, Reward------
	OnOneTimeEvent
	{
		Conditions=
		{
			PlayerFigureIsInRange	{Player = "pl_Human01", Range = 4, X = 322.28, Y = 518.249},
			AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 27, Amount = 1}, 
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 24, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 28, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 22, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 30, Amount = 1},
                        AvatarHasItemMisc	{Player = "pl_Human01", ItemId = 21, Amount = 1},
		},
		Actions=
		{
			AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 27, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 24, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 28, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 22, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 30, Amount = 1},
                        AvatarItemMiscTake	{Player = "pl_Human01", ItemId = 21, Amount = 1},
			FigureOutcry	{TextTag = "Sidequest_Baru_04", Tag = "default"},
			FigureOutcry	{TextTag = "Sidequest_Baru_05", Tag = "default"},
			AvatarXPGive	{Player = "pl_Human01", Amount = 2500},
			DialogSetDisabled	{Tag = "Sidequest_Baru"},
		},
	},
}; 