State
{
       StateName = "Sidequest_Io",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue	{Name = "ElvenQuest"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 10, X = 519.911, Y = 297.896},				
			
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_01", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Io_01", Tag = "Sidequest_Io", PlayTalkAnim = default},
			CameraTrackPlay {},   
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 524.115, Y = 311.122},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 84.9805},
                        FigureTeleport {Tag = "Sidequest_Einar", X = 526.735, Y = 307.616},
                        FigureLookAtDirection {Tag = "Sidequest_Einar", Direction = 159.465},               
                        EntityTimerStart {Name = "et7_CStimer"},
		},	
		GotoState = "Cutscene70",	
        },

        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue	{Name = "ElvenQuest"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 10, X = 515.184, Y = 308.814},				
			
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_01", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Io_01", Tag = "Sidequest_Io", PlayTalkAnim = default},
			CameraTrackPlay {},   
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 524.115, Y = 311.122},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 84.9805},
                        FigureTeleport {Tag = "Sidequest_Einar", X = 526.735, Y = 307.616},
                        FigureLookAtDirection {Tag = "Sidequest_Einar", Direction = 159.465},               
                        EntityTimerStart {Name = "et7_CStimer"},
		},	
		GotoState = "Cutscene70",	
        },
};

State
{
	StateName = "Cutscene70",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Einar_05", Tag = "Sidequest_Einar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et7_CStimer_02"},
		},	
		GotoState = "Cutscene71",	
        },
};

State
{
	StateName = "Cutscene71",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Io_02", Tag = "Sidequest_Io", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et7_CStimer_03"},
		},	
		GotoState = "Cutscene72",	
        },
};

State
{
	StateName = "Cutscene72",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_14", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et7_CStimer_04"},
		},	
		GotoState = "Cutscene73",	
        },
};

State
{
	StateName = "Cutscene73",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_06_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Io_03", Tag = "Sidequest_Io", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et7_CStimer_05"},
		},	
		GotoState = "Cutscene74",	
        },
};

State
{
	StateName = "Cutscene74",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et7_CStimer_05", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        FigureTeamTransfer {Tag = "Sidequest_Io", Team = "tm_Human"},
                        FigureRun {Tag = "Sidequest_Einar", X = 608.967, Y = 297.389},
                        FigureRun {Tag = "Sidequest_Io", X = 613.549, Y = 297.919},
                        MapFlagSetTrue	{Name = "AttackGolems"},                     	
		},
                GotoState = "ElvenWar",			
	},	
};

State
{
       StateName = "ElvenWar",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue	{Name = "AttackGolems"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 18, X = 594.23, Y = 297.421},
                },
		Actions =
		{
                        FigureTeamTransfer {Tag = "Elf01", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "Elf02", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "Elf03", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "Elf04", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "Elf05", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "Elf06", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "Elf07", Team = "tm_Human"},
                        FigureTeamTransfer {Tag = "Elf08", Team = "tm_Human"}, 
                        FigureTeamTransfer {Tag = "Golem01", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "Golem02", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "Element01", Team = "tm_Enemy"},
                        FigureTeamTransfer {Tag = "Element02", Team = "tm_Enemy"},
                        MapFlagSetTrue	{Name = "SpawningGolems"},
                        MapFlagSetTrue	{Name = "SpawningElementals"},
		},	
		GotoState = "EndOfWar",	
        },
};

State
{
       StateName = "EndOfWar",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue	{Name = "Attack_Is_Over"},		
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_07_Take_01", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Io_04", Tag = "Sidequest_Io", PlayTalkAnim = default},
			CameraTrackPlay {}, 
                        FigureTeleport {Tag = "Sidequest_Io", X = 604.147, Y = 304.717},
                        FigureLookAtDirection {Tag = "Sidequest_Io", Direction = 0},          
                        EntityTimerStart {Name = "et8_CStimer"},
		},	
		GotoState = "Cutscene80",	
        },
};

State
{
	StateName = "Cutscene80",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et8_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        AvatarXPGive{Player = "pl_Human01", Amount = 19000},
                        FigureRun {Tag = "Sidequest_Einar", X = 615.861, Y = 75.7299},
                        FigureRun {Tag = "Sidequest_Io", X = 615.861, Y = 75.7299},
                        PortalEnable	{Tag = "Portal03"},
		},
                GotoState = "ReachingPortal",	
        },
};

State
{
	StateName = "ReachingPortal",

        OnOneTimeEvent
	{
		Conditions=
		{
			FigureIsInRange	{Tag = "Sidequest_Einar", Range = 4, X = 615.861, Y = 75.7299},
                        FigureIsInRange	{Tag = "Sidequest_Io", Range = 4, X = 615.861, Y = 75.7299},
		},
		Actions=
		{
			FigureVanish	{Tag = "Sidequest_Einar"}, 
                        FigureVanish	{Tag = "Sidequest_Io"}, 
		},
	},
};