State
{
       StateName = "FirstActions",

       OnOneTimeEvent
       {
                Conditions =
                {},
                Actions =
                {
                        FigureVanish	{Tag = "Dummy_Avatar01"},
                        FigureVanish	{Tag = "Dummy_Avatar02"},
                        FigureVanish	{Tag = "Dummy_Avatar03"},
                        FigureVanish	{Tag = "Dummy_Avatar04"},
                        FigureVanish	{Tag = "Dummy_Avatar05"},
                        FigureVanish	{Tag = "Dummy_Avatar06"},
                        FigureVanish	{Tag = "Dummy_Einar01"},
                        FigureVanish	{Tag = "Dummy_Einar02"},
                        FigureVanish	{Tag = "Dummy_Einar03"},
                        FigureVanish	{Tag = "Dummy_Einar04"},
                        FigureVanish	{Tag = "Dummy_Shadow"},
                        FigureVanish	{Tag = "Dummy_Yasha"},
                        FigureVanish	{Tag = "Dummy_Mauser"},
                        FigureVanish	{Tag = "Dummy_Shaper"},
                        FigureVanish	{Tag = "Dummy_Blessed"},
                        FigureVanish	{Tag = "Dummy_Jandrim01"},
                        FigureVanish	{Tag = "Dummy_Jandrim02"},
                        FigureVanish	{Tag = "Dummy_Golem01"},
                        FigureVanish	{Tag = "Dummy_Golem02"},
                        FigureVanish	{Tag = "Dummy_Treant"},
                        FigureVanish	{Tag = "Dummy_Io"},
                        ObjectVanish	{Tag = "Dummy_Effect"},
                        FigureNpcSpawn	{Tag = "Sidequest_Yasha", Level = 1, UnitId = 1056, X = 96.8626, Y = 79.2066, Team = "tm_Neutral"},
                        FigureLookAtDirection {Tag = "Sidequest_Yasha", Direction = 170.924},
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Orc01", Range = 80, Height = 100}, 
                        FogOfWarRevealAtEntity	{FogOfWarId = 0, Tag = "Orc02", Range = 80, Height = 100},
                        FigureAbilityAdd	{Tag = "Fighter06", AbilityId = Ability.Liferegeneration150 },
                        FigureAbilityAdd	{Tag = "Fighter07", AbilityId = Ability.Liferegeneration150 },
                        FigureAbilityAdd	{Tag = "Fighter08", AbilityId = Ability.Liferegeneration150 },
                        FigureAbilityAdd	{Tag = "Fighter09", AbilityId = Ability.Liferegeneration150 },
                        FigureAbilityAdd	{Tag = "Fighter10", AbilityId = Ability.Liferegeneration150 },
                        FigureAbilityAdd	{Tag = "Fighter11", AbilityId = Ability.Liferegeneration150 },
                        FigureAbilityAdd	{Tag = "Fighter12", AbilityId = Ability.Liferegeneration150 },
                        FigureAbilityAdd	{Tag = "Fighter13", AbilityId = Ability.Liferegeneration150 },
                        FigureAbilityAdd	{Tag = "Fighter14", AbilityId = Ability.Liferegeneration150 },
                        FigureAbilityAdd	{Tag = "Fighter15", AbilityId = Ability.Liferegeneration150 },
                },
        },

        OnOneTimeEvent	
	{
		Conditions =
		{},
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_01", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Ironlord_01", Tag = "Sidequest_Ironlord", PlayTalkAnim = default},
			CameraTrackPlay {},   
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 237.898, Y = 466.042},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 142.276},                 
                        EntityTimerStart {Name = "et_CStimer"},
		},	
		GotoState = "Cutscene02",	
        },
};

State
{
	StateName = "Cutscene02",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_01", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_02"},
		},	
		GotoState = "Cutscene03",	
        },
};

State
{
	StateName = "Cutscene03",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Jandrim_01", Tag = "Sidequest_Jandrim", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_03"},
		},	
		GotoState = "Cutscene04",	
        },
};

State
{
	StateName = "Cutscene04",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Witch_01", Tag = "Sidequest_Witch", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_04"},
		},	
		GotoState = "Cutscene05",	
        },
};

State
{
	StateName = "Cutscene05",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_02", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_05"},
		},	
		GotoState = "Cutscene06",	
        },
};

State
{
	StateName = "Cutscene06",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Ironlord_02", Tag = "Sidequest_Ironlord", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_06"},
		},	
		GotoState = "Cutscene07",	
        },
};

State
{
	StateName = "Cutscene07",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_01_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_03", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et_CStimer_07"},
		},	
		GotoState = "Cutscene08",	
        },
};

State
{
	StateName = "Cutscene08",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et_CStimer_07", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{}, 
                        EntityFlagSetTrue	{Name = "Attacking01"},                     	
		},
                GotoState = "Attack01",			
	},	
};

State
{
       StateName = "Attack01",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityFlagIsTrue	{Name = "Attacking01"},  
                },
		Actions =
		{
                        FigureRun {Tag = "Fighter01", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter02", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter03", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter04", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter05", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter06", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter07", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter08", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter09", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter10", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter11", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter12", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter13", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter14", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter15", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter16", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter17", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter18", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter19", X = 266.572, Y = 170.415},
                        FigureRun {Tag = "Fighter20", X = 266.572, Y = 170.415},
		},	
		GotoState = "Attack02",	
        },
};

State
{
	StateName = "Attack02",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityFlagIsTrue	{Name = "Attacking01"},				
			FigureIsDead {Tag = "Pact01"},
                        FigureIsDead {Tag = "Pact02"},
                        FigureIsDead {Tag = "Pact03"},
                        FigureIsDead {Tag = "Pact04"},
                        FigureIsDead {Tag = "Pact05"},
                        FigureIsDead {Tag = "Pact06"},
                        FigureIsDead {Tag = "Pact07"},
                        FigureIsDead {Tag = "Pact08"},
                        FigureIsDead {Tag = "Pact09"},
                        FigureIsDead {Tag = "Pact10"},
                        FigureIsDead {Tag = "Pact11"},
                        FigureIsDead {Tag = "Pact12"},
                        FigureIsDead {Tag = "Pact13"},
                        FigureIsDead {Tag = "Pact14"},
                        FigureIsDead {Tag = "Pact15"},
                        FigureIsDead {Tag = "Pact16"},
                        FigureIsDead {Tag = "Pact17"},
                        FigureIsDead {Tag = "Pact18"},
                        FigureIsDead {Tag = "Pact19"},
                        FigureIsDead {Tag = "Pact20"},
                        FigureIsDead {Tag = "Pact21"},
                        FigureIsDead {Tag = "Pact22"},
                        FigureIsDead {Tag = "Pact23"},
                        FigureIsDead {Tag = "Pact24"},
                        FigureIsDead {Tag = "Pact25"},
                        FigureIsDead {Tag = "Pact26"},
                        FigureIsDead {Tag = "Pact27"},
                        FigureIsDead {Tag = "Pact28"},
                        FigureIsDead {Tag = "Pact29"},
                        FigureIsDead {Tag = "Pact30"},
                        FigureIsDead {Tag = "Pact31"},
                        FigureIsDead {Tag = "Pact32"},
                        FigureIsDead {Tag = "Pact33"},
                        FigureIsDead {Tag = "Pact34"},
                        FigureIsDead {Tag = "Pact35"},
                        FigureIsDead {Tag = "Pact36"},
                        FigureIsDead {Tag = "Pact37"},
                        FigureIsDead {Tag = "Pact38"},
                        FigureIsDead {Tag = "Pact39"},
                        FigureIsDead {Tag = "Pact40"},
                        FigureIsDead {Tag = "Pact41"},
                        FigureIsDead {Tag = "Pact42"},
                        FigureIsDead {Tag = "Pact43"},
                        FigureIsDead {Tag = "Pact44"},
                        FigureIsDead {Tag = "Pact45"},
                        FigureIsDead {Tag = "Pact46"},
                        FigureIsDead {Tag = "PactTitan"},
		},
		Actions =
		{                       
                        FigureRun {Tag = "Fighter01", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter02", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter03", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter04", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter05", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter06", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter07", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter08", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter09", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter10", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter11", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter12", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter13", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter14", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter15", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter16", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter17", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter18", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter19", X = 141.776, Y = 96.6178},
                        FigureRun {Tag = "Fighter20", X = 141.776, Y = 96.6178},
		},
                GotoState = "SecondCutscene",		
        },
};

State
{
       StateName = "SecondCutscene",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityFlagIsTrue	{Name = "Attacking01"},				
			FigureIsDead {Tag = "Dark01"},
                        FigureIsDead {Tag = "Dark02"},
                        FigureIsDead {Tag = "Dark03"},
                        FigureIsDead {Tag = "Dark04"},
                        FigureIsDead {Tag = "Dark05"},
                        FigureIsDead {Tag = "Dark06"},
                        FigureIsDead {Tag = "Dark07"},
                        FigureIsDead {Tag = "Dark08"},
                        FigureIsDead {Tag = "Dark09"},
                        FigureIsDead {Tag = "Dark10"},
                        FigureIsDead {Tag = "Dark11"},
                        FigureIsDead {Tag = "Dark12"},
                        FigureIsDead {Tag = "Dark13"},
                        FigureIsDead {Tag = "Dark14"},
                        FigureIsDead {Tag = "Dark15"},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_01", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Flink_01", Tag = "Sidequest_Flink", PlayTalkAnim = default},
			CameraTrackPlay {},   
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 96.5357, Y = 94.2159},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 274.056},
                        FigureTeleport {Tag = "Sidequest_Einar", X = 142.369, Y = 85.329},
                        FigureLookAtDirection {Tag = "Sidequest_Einar", Direction = 359.037},
                        ObjectVanish	{Tag = "Blocker01"},
                        ObjectVanish	{Tag = "Blocker02"},                 
                        EntityTimerStart {Name = "et2_CStimer"},
		},	
		GotoState = "Cutscene20",	
        },
};

State
{
	StateName = "Cutscene20",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_04", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_02"},
		},	
		GotoState = "Cutscene21",	
        },
};

State
{
	StateName = "Cutscene21",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        EffectStart	{Tag = "Sidequest_Shadow", File = "effect_misc_spawnspecial_01"},                       
                        FigureTeleport {Tag = "Sidequest_Shadow", X = 95.9191, Y = 97.5327},
                        FigureLookAtDirection {Tag = "Sidequest_Shadow", Direction = 314.163},                    
                        EntityTimerStart {Name = "et2_CStimer_03"},
		},	
		GotoState = "Cutscene22",	
        },
};

State
{
	StateName = "Cutscene22",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_03", Seconds = 8},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Shadow_01", Tag = "Sidequest_Shadow", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_04"},
		},	
		GotoState = "Cutscene23",	
        },
};

State
{
	StateName = "Cutscene23",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Flink_02", Tag = "Sidequest_Flink", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_05"},
		},	
		GotoState = "Cutscene24",	
        },
};

State
{
	StateName = "Cutscene24",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_05", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_06", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "pl_Human01Avatar_05", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_06"},
		},	
		GotoState = "Cutscene25",	
        },
};

State
{
	StateName = "Cutscene25",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_06", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_07", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Flink_03", Tag = "Sidequest_Flink", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_07"},
		},	
		GotoState = "Cutscene26",	
        },
};

State
{
	StateName = "Cutscene26",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_07", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_08", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Shadow_02", Tag = "Sidequest_Shadow", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_08"},
		},	
		GotoState = "Cutscene27",	
        },
};

State
{
	StateName = "Cutscene27",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_08", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_09", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "pl_Human01Avatar_06", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_09"},
		},	
		GotoState = "Cutscene28",	
        },
};

State
{
	StateName = "Cutscene28",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_09", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_10", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Flink_04", Tag = "Sidequest_Flink", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_10"},
		},	
		GotoState = "Cutscene29",	
        },
};

State
{
	StateName = "Cutscene29",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_10", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_11", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Yasha_01", Tag = "Sidequest_Yasha", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_11"},
		},	
		GotoState = "Cutscene30",	
        },
};

State
{
	StateName = "Cutscene30",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_11", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_12", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "pl_Human01Avatar_07", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_12"},
		},	
		GotoState = "Cutscene31",	
        },
};

State
{
	StateName = "Cutscene31",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_12", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_13", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Flink_05", Tag = "Sidequest_Flink", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_13"},
		},	
		GotoState = "Cutscene32",	
        },
};

State
{
	StateName = "Cutscene32",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_13", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_14", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "pl_Human01Avatar_08", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_14"},
		},	
		GotoState = "Cutscene33",	
        },
};

State
{
	StateName = "Cutscene33",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_14", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_15", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        FigureRun {Tag = "Sidequest_Einar", X = 102.046, Y = 88.589},                    
                        EntityTimerStart {Name = "et2_CStimer_15"},
		},	
		GotoState = "Cutscene34",	
        },
};

State
{
	StateName = "Cutscene34",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_15", Seconds = 15},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_17(!)", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Einar_01", Tag = "Sidequest_Einar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_16"},
		},	
		GotoState = "Cutscene35",	
        },
};

State
{
	StateName = "Cutscene35",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_16", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_16", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "pl_Human01Avatar_09", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_17"},
		},	
		GotoState = "Cutscene36",	
        },
};

State
{
	StateName = "Cutscene36",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_17", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_02_Take_18", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {}, 
                        CutsceneSay	{TextTag = "Sidequest_Einar_02", Tag = "Sidequest_Einar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et2_CStimer_18"},
		},	
		GotoState = "Cutscene37",	
        },
};

State
{
	StateName = "Cutscene37",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et2_CStimer_18", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},
                        GateSetOpen   {Tag = "Sidequest_Gate"},
                        ObjectVanish	{Tag = "Black_Mirror"},
                        ObjectVanish	{Tag = "Special_Book"}, 
                        FigureVanish	{Tag = "Sidequest_Yasha"},
                        FigureTeleport {Tag = "Sidequest_Ironlord", X = 235.645, Y = 538.978},
                        FigureTeleport {Tag = "Sidequest_Jandrim", X = 539.347, Y = 590.554},
                        AvatarXPGive{Player = "pl_Human01", Amount = 15166},
                        PlayerHeroAdd	{Player = "pl_Human01", HeroId = 110},
			FigureHeroSpawn	{Player = "pl_Human01", Tag = "HeroYasha", X = 98.7854, Y = 87.1441, Direction = 0}, 
                        FigureTeamTransfer {Tag = "Sidequest_Einar", Team = "tm_Human"},
                        FigureRun {Tag = "Sidequest_Einar", X = 422.693, Y = 228.547},
                        MapFlagSetTrue	{Name = "BlessedOne01"},                     	
		},
                GotoState = "ToTheGates",			
	},	
};

State
{
	StateName = "ToTheGates",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			MapFlagIsTrue	{Name = "BlessedOne01"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 15, X = 383.153, Y = 226.459},
		},
		Actions =
		{
                        FigureNpcSpawn	{Tag = "BlessedOne01", Level = 15, UnitId = 1065, X = 383.876, Y = 218.103, Team = "tm_Enemy"},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne01", ItemId = 991},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne01", ItemId = 990},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne01", ItemId = 989},
                        FigureNpcSpawn	{Tag = "BlessedOne02", Level = 13, UnitId = 1065, X = 383.876, Y = 218.103, Team = "tm_Enemy"},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne02", ItemId = 988},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne02", ItemId = 992},                     	
		},
                GotoState = "ThirdCutscene",				
	},

	OnOneTimeEvent	
	{
		Conditions =
		{				
			MapFlagIsTrue	{Name = "BlessedOne01"},
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 15, X = 383.161, Y = 210.528},
		},
		Actions =
		{
                        FigureNpcSpawn	{Tag = "BlessedOne01", Level = 15, UnitId = 1065, X = 383.876, Y = 218.103, Team = "tm_Enemy"},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne01", ItemId = 991},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne01", ItemId = 990},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne01", ItemId = 989},
                        FigureNpcSpawn	{Tag = "BlessedOne02", Level = 13, UnitId = 1065, X = 383.876, Y = 218.103, Team = "tm_Enemy"},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne02", ItemId = 988},
                        FigureLootItemEquipmentAdd {Tag = "BlessedOne02", ItemId = 992},                     	
		},
                GotoState = "ThirdCutscene",		
	},	
};

State
{
       StateName = "ThirdCutscene",

        OnOneTimeEvent	
	{
		Conditions =
		{
                        MapFlagIsTrue	{Name = "BlessedOne01"},			
			FigureIsDead {Tag = "BlessedOne01"},
                        FigureIsDead {Tag = "BlessedOne02"}, 
                        PlayerFigureIsInRange	{Player = "pl_Human01", Range = 16, X = 421.856, Y = 228.79},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Einar_03", Tag = "Sidequest_Einar", PlayTalkAnim = default},
			CameraTrackPlay {}, 
                        FigureNpcSpawn	{Tag = "Sidequest_Mauser", Level = 1, UnitId = 449, X = 397.179, Y = 222.021, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "Sidequest_Shaper", Level = 1, UnitId = 1209, X = 395.224, Y = 222.585, Team = "tm_Neutral"},
                        FigureNpcSpawn	{Tag = "Sidequest_Blessed", Level = 1, UnitId = 1332, X = 395.683, Y = 220.236, Team = "tm_Neutral"},
                        FigureLookAtDirection {Tag = "Sidequest_Mauser", Direction = 100},
                        FigureLookAtDirection {Tag = "Sidequest_Shaper", Direction = 100},
                        FigureLookAtDirection {Tag = "Sidequest_Blessed", Direction = 100},
                        ObjectSpawn	{ObjectId = 1460, X = 397.246, Y = 222.023, Direction = 0, Tag = "Decal_Effect"}, 
                        GateSetClosed   {Tag = "Sidequest_Gate"},
                        FigureTeleport {Tag = "pl_Human01Avatar", X = 428.631, Y = 235.966},
                        FigureLookAtDirection {Tag = "pl_Human01Avatar", Direction = 14.0563},
                        FigureTeleport {Tag = "Sidequest_Einar", X = 433.11, Y = 225.17},
                        FigureLookAtDirection {Tag = "Sidequest_Einar", Direction = 142.276},                 
                        EntityTimerStart {Name = "et3_CStimer"},
		},	
		GotoState = "Cutscene40",	
        },
};

State
{
	StateName = "Cutscene40",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_02", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Mauser_01", Tag = "Sidequest_Mauser", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_02"},
		},	
		GotoState = "Cutscene41",	
        },
};

State
{
	StateName = "Cutscene41",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_02", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_03", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        ObjectVanish	{Tag = "Decal_Effect"}, 
                        FigureVanish	{Tag = "Sidequest_Mauser"},
                        FigureVanish	{Tag = "Sidequest_Blessed"},
                        FigureVanish	{Tag = "Sidequest_Shaper"},  
                        EffectStart	{Tag = "Effect", File = "effect_misc_god_vanishing"},
                        EffectStart	{Tag = "Effect", File = "effect_areapain_impact"},                 
                        EntityTimerStart {Name = "et3_CStimer_03"},
		},	
		GotoState = "Cutscene42",	
        },
};

State
{
	StateName = "Cutscene42",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_03", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_04", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "pl_Human01Avatar_10", Tag = "pl_Human01Avatar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_04"},
		},	
		GotoState = "Cutscene43",	
        },
};

State
{
	StateName = "Cutscene43",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_04", Seconds = 10},
		},
		Actions =
		{                       
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_05", Tag = "default", TargetTag = "default"},
			CameraTrackPlay {},                        
                        CutsceneSay	{TextTag = "Sidequest_Einar_04", Tag = "Sidequest_Einar", PlayTalkAnim = default},                    
                        EntityTimerStart {Name = "et3_CStimer_05"},
		},	
		GotoState = "Cutscene44",	
        },
};

State
{
	StateName = "Cutscene44",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_05", Seconds = 10},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{}, 
                        MapFlagSetTrue	{Name = "JandrimDialog"},                     	
		},		
	},	
};
