State
{
	StateName= "Demon_Gate",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        MapTimerIsElapsed {Name = "Gate_Open", Seconds = 840},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_01", Tag = "default", TargetTag = "default"},
                        FigureTeleport {Tag = "Sidequest_Ylia", X = 185.522, Y = 443.483},
                        FigureLookAtDirection {Tag = "Sidequest_Ylia", Direction = 0},
                        GateSetOpen   {Tag = "Demon_Gate"},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et3_CStimer"},
		},	
		GotoState = "Cutscene30",	
        },
};

State
{
	StateName= "Cutscene30",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et3_CStimer", Seconds = 14},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_02", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Ylia_05", Tag = "Sidequest_Ylia", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et3_CStimer_02"},
		},	
		GotoState = "Cutscene31",	
        },
};

State
{
	StateName= "Cutscene31",

	OnOneTimeEvent	
	{
		Conditions =
		{
                        EntityTimerIsElapsed {Name = "et3_CStimer_02", Seconds = 10},
                },
		Actions =
		{
                        CutsceneBegin	{File = "default"},
                        CameraTrackClear {},
			CameraTakeAddToTrack {File = "CS_03_Take_03", Tag = "default", TargetTag = "default"},
                        CutsceneSay	{TextTag = "Sidequest_Ylia_06", Tag = "Sidequest_Ylia", PlayTalkAnim = default},
			CameraTrackPlay {},                    
                        EntityTimerStart {Name = "et3_CStimer_03"},
		},	
		GotoState = "Cutscene32",	
        },
};

State
{
	StateName = "Cutscene32",

	OnOneTimeEvent	
	{
		Conditions =
		{				
			EntityTimerIsElapsed {Name = "et3_CStimer_03", Seconds = 15},
		},
		Actions =
		{
                        CameraTrackClear {},			
			CameraStop      {},
			CutsceneEnd	{},  
                        MapFlagSetTrue {Name = "Demon_Attack"},                      	
		},			
	},	
    
        OnOneTimeEvent	
	{
		Conditions =
		{				
			BuildingIsDead	{Tag = "Building01"},
		},
		Actions =
		{
                        AvatarXPGive{Player = "pl_Human01", Amount = 150},                     	
		},			
	},

        OnOneTimeEvent	
	{
		Conditions =
		{				
			BuildingIsDead	{Tag = "Building02"},
		},
		Actions =
		{
                        AvatarXPGive{Player = "pl_Human01", Amount = 150},                     	
		},			
	},

        OnOneTimeEvent	
	{
		Conditions =
		{				
			BuildingIsDead	{Tag = "Building03"},
		},
		Actions =
		{
                        AvatarXPGive{Player = "pl_Human01", Amount = 150},                     	
		},			
	},

        OnOneTimeEvent	
	{
		Conditions =
		{				
			BuildingIsDead	{Tag = "Building04"},
		},
		Actions =
		{
                        AvatarXPGive{Player = "pl_Human01", Amount = 150},                     	
		},			
	},

        OnOneTimeEvent	
	{
		Conditions =
		{				
			BuildingIsDead	{Tag = "Building05"},
		},
		Actions =
		{
                        AvatarXPGive{Player = "pl_Human01", Amount = 150},                     	
		},			
	},

        OnOneTimeEvent	
	{
		Conditions =
		{				
			BuildingIsDead	{Tag = "Building06"},
		},
		Actions =
		{
                        AvatarXPGive{Player = "pl_Human01", Amount = 150},                     	
		},			
	},
};